> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Template Example

> Get a example slides content data for a template.
This data can be used to create presentation from json.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/ppt/template/{id}/example
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.presenton.ai
security: []
paths:
  /api/v1/ppt/template/{id}/example:
    get:
      tags:
        - Template
      summary: Get Template Example
      description: |-
        Get a example slides content data for a template.
        This data can be used to create presentation from json.
      operationId: get_template_example_api_v1_ppt_template__id__example_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: >-
              The id of the template, must be one of neo-general, neo-modern,
              neo-standard, neo-swift, general, modern, standard, swift or your
              custom template
            title: Id
          description: >-
            The id of the template, must be one of neo-general, neo-modern,
            neo-standard, neo-swift, general, modern, standard, swift or your
            custom template
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            description: Bearer JWT or API Key
            title: Authorization
          description: Bearer JWT or API Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemplateExample'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TemplateExample:
      properties:
        template:
          type: string
          title: Template
        slides:
          items:
            $ref: '#/components/schemas/SlideExample'
          type: array
          title: Slides
      type: object
      required:
        - template
        - slides
      title: TemplateExample
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SlideExample:
      properties:
        layout:
          type: string
          title: Layout
        content:
          additionalProperties: true
          type: object
          title: Content
      type: object
      required:
        - layout
        - content
      title: SlideExample
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````